Re: [tools-pmc] FW: Error installing VE-Update-1.5.0.zip

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: [tools-pmc] FW: Error installing VE-Update-1.5.0.zip

Mike Milinkovich

Yves,

 

But there are no commits or activity on the VE project. The fact that there are adopters does not mean that this is a viable project.

 

So unless these companies step up and actually put some resources into keeping the project actively running, my conclusion remains that the time has come for archival.

 

Mike Milinkovich

Office: +1.613.224.9461 x228

Mobile: +1.613.220.3223

[hidden email]

 

From: Content-filter at foundation.eclipse.org [mailto:[hidden email]] On Behalf Of Yves (Yingmin) YANG
Sent: April-19-11 3:16 PM
To: [hidden email]
Subject: Re: [tools-pmc] [ve-dev] FW: Error installing VE-Update-1.5.0.zip

 

Hi All,

 

From my standpoint, I know several important companies who built their UI tools on top of VE. They ask me to keep it up-to-date to eclipse main stream. For the end-users, it is easy to switch one to another. But it is not the case for the companies who build their solutions, it is not so easy to make this migration. I think it’d better to keep it in maintenance for a while.  I can continue to handle this work.   

 

FYI, I just tested the build. It works as expected.

Best regards

Yves

----- Forwarded by David M Williams/Raleigh/IBM on 04/19/2011 01:26 PM -----

From: "Mike Milinkovich" <[hidden email]>
To: "'Tools PMC mailing list'" <[hidden email]>
Cc: [hidden email]
Date: 04/19/2011 09:52 AM
Subject: Re: [ve-dev] [tools-pmc] FW: Error installing VE-Update-1.5.0.zip
Sent by: [hidden email]






Adding ve-dev to the list in case anyone there wants to express an opinion.



From: Content-filter at foundation.eclipse.org [[hidden email]] On Behalf Of Jeff McAffer
Sent:
April-19-11 9:44 AM
To:
Tools PMC mailing list
Cc:
[hidden email]
Subject:
Re: [tools-pmc] FW: [ve-dev] Error installing VE-Update-1.5.0.zip


+1



On 2011-04-19, at 9:38 AM, Schaefer, Doug wrote:


Yes, John and I talked about that at EclipseCon. I think we’re ready. Let’s start the vote.

+1.

From: [hidden email] [[hidden email]] On Behalf OfMike Milinkovich
Sent:
Tuesday, April 19, 2011 9:37 AM
To:
'Tools PMC mailing list'
Subject:
[tools-pmc] FW: [ve-dev] Error installing VE-Update-1.5.0.zip


Esteemed Tools PMC,

Can we please please pretty please archive this project?

Especially now with WindowBuilder in full development, I see no reason to avoid end-of-lifing VE.


From: [hidden email] [[hidden email]] On Behalf Of Denny Vriesman
Sent:
April-19-11 9:32 AM
To:
[hidden email]
Subject:
[ve-dev] Error installing VE-Update-1.5.0.zip


Hello EveryOne,

I’ve Just downloaded “eclipse-rcp-helios-SR2-win32.zip” from eclipse website.
After that I’ve downloaded VE-Update-1.5.0.zip for Helios, in agreement with the site: “http://www.eclipse.org/vep/”, and I try to install it.

But, for my surprise, there is an error on the installation:

The artifact file for osgi.bundle,org.eclipse.ve.cde,1.5.0.R20101202-1328 was not found.
session context was:(profile=epp.package.rcp, phase=org.eclipse.equinox.internal.p2.engine.phases.Install, operand=null --> [R]org.eclipse.ve.cde 1.5.0.R20101202-1328, action=org.eclipse.equinox.internal.p2.touchpoint.eclipse.actions.InstallBundleAction).

Please, have somebody the solution for this problem ? Is a VE a discontinuous or deprecated project ? Have anyone noted that problem until now ?

Thank you in Advance,
Denny Richard San Vriesman
Analista de Suporte

Softplan Planejamento de Sistemas Ltda
Sistema da Qualidade Certificado ISO 9001:2000
Fone: (48) 3027-8000

http://www.softplan.com.br

_______________________________________________
tools-pmc mailing list
[hidden email]
https://dev.eclipse.org/mailman/listinfo/tools-pmc
_______________________________________________
ve-dev mailing list
[hidden email]
https://dev.eclipse.org/mailman/listinfo/ve-dev


_______________________________________________
ve-dev mailing list
[hidden email]
https://dev.eclipse.org/mailman/listinfo/ve-dev
Reply | Threaded
Open this post in threaded view
|

RES: [tools-pmc] FW: Error installing VE-Update-1.5.0.zip

Denny Vriesman

 

Hi,

 

I’ve evaluated WindowBuilder this afternoon (here in Brazil).

It’s a great solution and it’s a very nice substitution to VE.

 

I think that the companies that have already used VE will not have any problem to migrate to WindowBuilder.

 

Att,

Denny Richard San Vriesman
Analista de Suporte

Softplan Planejamento de Sistemas Ltda
Sistema da Qualidade Certificado ISO 9001:2000
Fone: (48) 3027-8000
http://www.softplan.com.br

 

 

 

 

De: [hidden email] [mailto:[hidden email]] Em nome de Mike Milinkovich
Enviada em: terça-feira, 19 de abril de 2011 16:18
Para: 'Tools PMC mailing list'
Cc: 'Discussions people developing code for the Visual Editor project'
Assunto: Re: [ve-dev] [tools-pmc] FW: Error installing VE-Update-1.5.0.zip

 

Yves,

 

But there are no commits or activity on the VE project. The fact that there are adopters does not mean that this is a viable project.

 

So unless these companies step up and actually put some resources into keeping the project actively running, my conclusion remains that the time has come for archival.

 

Mike Milinkovich

Office: +1.613.224.9461 x228

Mobile: +1.613.220.3223

[hidden email]

 

From: Content-filter at foundation.eclipse.org [mailto:[hidden email]] On Behalf Of Yves (Yingmin) YANG
Sent: April-19-11 3:16 PM
To: [hidden email]
Subject: Re: [tools-pmc] [ve-dev] FW: Error installing VE-Update-1.5.0.zip

 

Hi All,

 

From my standpoint, I know several important companies who built their UI tools on top of VE. They ask me to keep it up-to-date to eclipse main stream. For the end-users, it is easy to switch one to another. But it is not the case for the companies who build their solutions, it is not so easy to make this migration. I think it’d better to keep it in maintenance for a while.  I can continue to handle this work.   

 

FYI, I just tested the build. It works as expected.

Best regards

Yves

----- Forwarded by David M Williams/Raleigh/IBM on 04/19/2011 01:26 PM -----

From: "Mike Milinkovich" <[hidden email]>
To: "'Tools PMC mailing list'" <[hidden email]>
Cc: [hidden email]
Date: 04/19/2011 09:52 AM
Subject: Re: [ve-dev] [tools-pmc] FW: Error installing VE-Update-1.5.0.zip
Sent by: [hidden email]






Adding ve-dev to the list in case anyone there wants to express an opinion.



From: Content-filter at foundation.eclipse.org [[hidden email]] On Behalf Of Jeff McAffer
Sent:
April-19-11 9:44 AM
To:
Tools PMC mailing list
Cc:
[hidden email]
Subject:
Re: [tools-pmc] FW: [ve-dev] Error installing VE-Update-1.5.0.zip


+1



On 2011-04-19, at 9:38 AM, Schaefer, Doug wrote:


Yes, John and I talked about that at EclipseCon. I think we’re ready. Let’s start the vote.

+1.

From: [hidden email] [[hidden email]] On Behalf OfMike Milinkovich
Sent:
Tuesday, April 19, 2011 9:37 AM
To:
'Tools PMC mailing list'
Subject:
[tools-pmc] FW: [ve-dev] Error installing VE-Update-1.5.0.zip


Esteemed Tools PMC,

Can we please please pretty please archive this project?

Especially now with WindowBuilder in full development, I see no reason to avoid end-of-lifing VE.


From: [hidden email] [[hidden email]] On Behalf Of Denny Vriesman
Sent:
April-19-11 9:32 AM
To:
[hidden email]
Subject:
[ve-dev] Error installing VE-Update-1.5.0.zip


Hello EveryOne,

I’ve Just downloaded “eclipse-rcp-helios-SR2-win32.zip” from eclipse website.
After that I’ve downloaded VE-Update-1.5.0.zip for Helios, in agreement with the site: “http://www.eclipse.org/vep/”, and I try to install it.

But, for my surprise, there is an error on the installation:

The artifact file for osgi.bundle,org.eclipse.ve.cde,1.5.0.R20101202-1328 was not found.
session context was:(profile=epp.package.rcp, phase=org.eclipse.equinox.internal.p2.engine.phases.Install, operand=null --> [R]org.eclipse.ve.cde 1.5.0.R20101202-1328, action=org.eclipse.equinox.internal.p2.touchpoint.eclipse.actions.InstallBundleAction).

Please, have somebody the solution for this problem ? Is a VE a discontinuous or deprecated project ? Have anyone noted that problem until now ?

Thank you in Advance,
Denny Richard San Vriesman
Analista de Suporte

Softplan Planejamento de Sistemas Ltda
Sistema da Qualidade Certificado ISO 9001:2000
Fone: (48) 3027-8000

http://www.softplan.com.br

_______________________________________________
tools-pmc mailing list
[hidden email]
https://dev.eclipse.org/mailman/listinfo/tools-pmc
_______________________________________________
ve-dev mailing list
[hidden email]
https://dev.eclipse.org/mailman/listinfo/ve-dev


_______________________________________________
ve-dev mailing list
[hidden email]
https://dev.eclipse.org/mailman/listinfo/ve-dev
Reply | Threaded
Open this post in threaded view
|

Re: RES: [tools-pmc] FW: Error installing VE-Update-1.5.0.zip

Yves (Yingmin) YANG

I agree with you in case you are the final user. But if you are a solution provider and you have extended VE your business requirement, it is another story.

 

Regards

yves

From: [hidden email] [mailto:[hidden email]] On Behalf Of Denny Vriesman
Sent: Tuesday, April 19, 2011 11:05 PM
To: Discussions people developing code for the Visual Editor project; Tools PMC mailing list
Subject: [ve-dev] RES: [tools-pmc] FW: Error installing VE-Update-1.5.0.zip

 

 

Hi,

 

I’ve evaluated WindowBuilder this afternoon (here in Brazil).

It’s a great solution and it’s a very nice substitution to VE.

 

I think that the companies that have already used VE will not have any problem to migrate to WindowBuilder.

 

Att,

Denny Richard San Vriesman
Analista de Suporte

Softplan Planejamento de Sistemas Ltda
Sistema da Qualidade Certificado ISO 9001:2000
Fone: (48) 3027-8000
http://www.softplan.com.br

 

 

 

 

De: [hidden email] [mailto:[hidden email]] Em nome de Mike Milinkovich
Enviada em: terça-feira, 19 de abril de 2011 16:18
Para: 'Tools PMC mailing list'
Cc: 'Discussions people developing code for the Visual Editor project'
Assunto: Re: [ve-dev] [tools-pmc] FW: Error installing VE-Update-1.5.0.zip

 

Yves,

 

But there are no commits or activity on the VE project. The fact that there are adopters does not mean that this is a viable project.

 

So unless these companies step up and actually put some resources into keeping the project actively running, my conclusion remains that the time has come for archival.

 

Mike Milinkovich

Office: +1.613.224.9461 x228

Mobile: +1.613.220.3223

[hidden email]

 

From: Content-filter at foundation.eclipse.org [mailto:[hidden email]] On Behalf Of Yves (Yingmin) YANG
Sent: April-19-11 3:16 PM
To: [hidden email]
Subject: Re: [tools-pmc] [ve-dev] FW: Error installing VE-Update-1.5.0.zip

 

Hi All,

 

From my standpoint, I know several important companies who built their UI tools on top of VE. They ask me to keep it up-to-date to eclipse main stream. For the end-users, it is easy to switch one to another. But it is not the case for the companies who build their solutions, it is not so easy to make this migration. I think it’d better to keep it in maintenance for a while.  I can continue to handle this work.   

 

FYI, I just tested the build. It works as expected.

Best regards

Yves

----- Forwarded by David M Williams/Raleigh/IBM on 04/19/2011 01:26 PM -----

From: "Mike Milinkovich" <[hidden email]>
To: "'Tools PMC mailing list'" <[hidden email]>
Cc: [hidden email]
Date: 04/19/2011 09:52 AM
Subject: Re: [ve-dev] [tools-pmc] FW: Error installing VE-Update-1.5.0.zip
Sent by: [hidden email]






Adding ve-dev to the list in case anyone there wants to express an opinion.



From: Content-filter at foundation.eclipse.org [[hidden email]] On Behalf Of Jeff McAffer
Sent:
April-19-11 9:44 AM
To:
Tools PMC mailing list
Cc:
[hidden email]
Subject:
Re: [tools-pmc] FW: [ve-dev] Error installing VE-Update-1.5.0.zip


+1



On 2011-04-19, at 9:38 AM, Schaefer, Doug wrote:


Yes, John and I talked about that at EclipseCon. I think we’re ready. Let’s start the vote.

+1.

From: [hidden email] [[hidden email]] On Behalf OfMike Milinkovich
Sent:
Tuesday, April 19, 2011 9:37 AM
To:
'Tools PMC mailing list'
Subject:
[tools-pmc] FW: [ve-dev] Error installing VE-Update-1.5.0.zip


Esteemed Tools PMC,

Can we please please pretty please archive this project?

Especially now with WindowBuilder in full development, I see no reason to avoid end-of-lifing VE.


From: [hidden email] [[hidden email]] On Behalf Of Denny Vriesman
Sent:
April-19-11 9:32 AM
To:
[hidden email]
Subject:
[ve-dev] Error installing VE-Update-1.5.0.zip


Hello EveryOne,

I’ve Just downloaded “eclipse-rcp-helios-SR2-win32.zip” from eclipse website.
After that I’ve downloaded VE-Update-1.5.0.zip for Helios, in agreement with the site: “http://www.eclipse.org/vep/”, and I try to install it.

But, for my surprise, there is an error on the installation:

The artifact file for osgi.bundle,org.eclipse.ve.cde,1.5.0.R20101202-1328 was not found.
session context was:(profile=epp.package.rcp, phase=org.eclipse.equinox.internal.p2.engine.phases.Install, operand=null --> [R]org.eclipse.ve.cde 1.5.0.R20101202-1328, action=org.eclipse.equinox.internal.p2.touchpoint.eclipse.actions.InstallBundleAction).

Please, have somebody the solution for this problem ? Is a VE a discontinuous or deprecated project ? Have anyone noted that problem until now ?

Thank you in Advance,
Denny Richard San Vriesman
Analista de Suporte

Softplan Planejamento de Sistemas Ltda
Sistema da Qualidade Certificado ISO 9001:2000
Fone: (48) 3027-8000

http://www.softplan.com.br

_______________________________________________
tools-pmc mailing list
[hidden email]
https://dev.eclipse.org/mailman/listinfo/tools-pmc
_______________________________________________
ve-dev mailing list
[hidden email]
https://dev.eclipse.org/mailman/listinfo/ve-dev


_______________________________________________
ve-dev mailing list
[hidden email]
https://dev.eclipse.org/mailman/listinfo/ve-dev
Reply | Threaded
Open this post in threaded view
|

RES: RES: [tools-pmc] FW: Error installingVE-Update-1.5.0.zip

Denny Vriesman

 

If a solution provider company has extended VE, so I think  this company has capability to continue improve VE for your own solution.

The currently VE is open source, is right? So, this company can every time put his hands on this code and improve it for itself and specifics project.

 

I think there are no sense to eclipse.org maintain 2 similar projects. This kind of thing confused the java community.

 

Maybe, a possible solution is to generate a last build of VE to Eclipse Helios, or even 3.7 and update the site to inform the users that VE will be discontinued and it will be the last version in reason of WB.

 

Regards,

Denny

 

 

De: [hidden email] [mailto:[hidden email]] Em nome de Yves (Yingmin) YANG
Enviada em: terça-feira, 19 de abril de 2011 18:28
Para: 'Discussions people developing code for the Visual Editor project'; 'Tools PMC mailing list'
Assunto: Re: [ve-dev] RES: [tools-pmc] FW: Error installingVE-Update-1.5.0.zip

 

I agree with you in case you are the final user. But if you are a solution provider and you have extended VE your business requirement, it is another story.

 

Regards

yves

From: [hidden email] [mailto:[hidden email]] On Behalf Of Denny Vriesman
Sent: Tuesday, April 19, 2011 11:05 PM
To: Discussions people developing code for the Visual Editor project; Tools PMC mailing list
Subject: [ve-dev] RES: [tools-pmc] FW: Error installing VE-Update-1.5.0.zip

 

 

Hi,

 

I’ve evaluated WindowBuilder this afternoon (here in Brazil).

It’s a great solution and it’s a very nice substitution to VE.

 

I think that the companies that have already used VE will not have any problem to migrate to WindowBuilder.

 

Att,

Denny Richard San Vriesman
Analista de Suporte

Softplan Planejamento de Sistemas Ltda
Sistema da Qualidade Certificado ISO 9001:2000
Fone: (48) 3027-8000
http://www.softplan.com.br

 

 

 

 

De: [hidden email] [mailto:[hidden email]] Em nome de Mike Milinkovich
Enviada em: terça-feira, 19 de abril de 2011 16:18
Para: 'Tools PMC mailing list'
Cc: 'Discussions people developing code for the Visual Editor project'
Assunto: Re: [ve-dev] [tools-pmc] FW: Error installing VE-Update-1.5.0.zip

 

Yves,

 

But there are no commits or activity on the VE project. The fact that there are adopters does not mean that this is a viable project.

 

So unless these companies step up and actually put some resources into keeping the project actively running, my conclusion remains that the time has come for archival.

 

Mike Milinkovich

Office: +1.613.224.9461 x228

Mobile: +1.613.220.3223

[hidden email]

 

From: Content-filter at foundation.eclipse.org [mailto:[hidden email]] On Behalf Of Yves (Yingmin) YANG
Sent: April-19-11 3:16 PM
To: [hidden email]
Subject: Re: [tools-pmc] [ve-dev] FW: Error installing VE-Update-1.5.0.zip

 

Hi All,

 

From my standpoint, I know several important companies who built their UI tools on top of VE. They ask me to keep it up-to-date to eclipse main stream. For the end-users, it is easy to switch one to another. But it is not the case for the companies who build their solutions, it is not so easy to make this migration. I think it’d better to keep it in maintenance for a while.  I can continue to handle this work.   

 

FYI, I just tested the build. It works as expected.

Best regards

Yves

----- Forwarded by David M Williams/Raleigh/IBM on 04/19/2011 01:26 PM -----

From: "Mike Milinkovich" <[hidden email]>
To: "'Tools PMC mailing list'" <[hidden email]>
Cc: [hidden email]
Date: 04/19/2011 09:52 AM
Subject: Re: [ve-dev] [tools-pmc] FW: Error installing VE-Update-1.5.0.zip
Sent by: [hidden email]






Adding ve-dev to the list in case anyone there wants to express an opinion.



From: Content-filter at foundation.eclipse.org [[hidden email]] On Behalf Of Jeff McAffer
Sent:
April-19-11 9:44 AM
To:
Tools PMC mailing list
Cc:
[hidden email]
Subject:
Re: [tools-pmc] FW: [ve-dev] Error installing VE-Update-1.5.0.zip


+1



On 2011-04-19, at 9:38 AM, Schaefer, Doug wrote:


Yes, John and I talked about that at EclipseCon. I think we’re ready. Let’s start the vote.

+1.

From: [hidden email] [[hidden email]] On Behalf OfMike Milinkovich
Sent:
Tuesday, April 19, 2011 9:37 AM
To:
'Tools PMC mailing list'
Subject:
[tools-pmc] FW: [ve-dev] Error installing VE-Update-1.5.0.zip


Esteemed Tools PMC,

Can we please please pretty please archive this project?

Especially now with WindowBuilder in full development, I see no reason to avoid end-of-lifing VE.


From: [hidden email] [[hidden email]] On Behalf Of Denny Vriesman
Sent:
April-19-11 9:32 AM
To:
[hidden email]
Subject:
[ve-dev] Error installing VE-Update-1.5.0.zip


Hello EveryOne,

I’ve Just downloaded “eclipse-rcp-helios-SR2-win32.zip” from eclipse website.
After that I’ve downloaded VE-Update-1.5.0.zip for Helios, in agreement with the site: “http://www.eclipse.org/vep/”, and I try to install it.

But, for my surprise, there is an error on the installation:

The artifact file for osgi.bundle,org.eclipse.ve.cde,1.5.0.R20101202-1328 was not found.
session context was:(profile=epp.package.rcp, phase=org.eclipse.equinox.internal.p2.engine.phases.Install, operand=null --> [R]org.eclipse.ve.cde 1.5.0.R20101202-1328, action=org.eclipse.equinox.internal.p2.touchpoint.eclipse.actions.InstallBundleAction).

Please, have somebody the solution for this problem ? Is a VE a discontinuous or deprecated project ? Have anyone noted that problem until now ?

Thank you in Advance,
Denny Richard San Vriesman
Analista de Suporte

Softplan Planejamento de Sistemas Ltda
Sistema da Qualidade Certificado ISO 9001:2000
Fone: (48) 3027-8000

http://www.softplan.com.br

_______________________________________________
tools-pmc mailing list
[hidden email]
https://dev.eclipse.org/mailman/listinfo/tools-pmc
_______________________________________________
ve-dev mailing list
[hidden email]
https://dev.eclipse.org/mailman/listinfo/ve-dev


_______________________________________________
ve-dev mailing list
[hidden email]
https://dev.eclipse.org/mailman/listinfo/ve-dev
Reply | Threaded
Open this post in threaded view
|

Re: RES: RES: [tools-pmc] FW: Error installingVE-Update-1.5.0.zip

Yves (Yingmin) YANG

>Maybe, a possible solution is to generate a last build of VE to Eclipse Helios, or even 3.7 and update the site to inform the users that VE will be discontinued and it will be the last version in reason of WB.

 

I agree. The build for Eclipse Helios is ready. I propose to make the last build for 3.7.

 

yves

From: [hidden email] [mailto:[hidden email]] On Behalf Of Denny Vriesman
Sent: Wednesday, April 20, 2011 2:43 PM
To: Discussions people developing code for the Visual Editor project
Subject: [ve-dev] RES: RES: [tools-pmc] FW: Error installingVE-Update-1.5.0.zip

 

 

If a solution provider company has extended VE, so I think  this company has capability to continue improve VE for your own solution.

The currently VE is open source, is right? So, this company can every time put his hands on this code and improve it for itself and specifics project.

 

I think there are no sense to eclipse.org maintain 2 similar projects. This kind of thing confused the java community.

 

Maybe, a possible solution is to generate a last build of VE to Eclipse Helios, or even 3.7 and update the site to inform the users that VE will be discontinued and it will be the last version in reason of WB.

 

Regards,

Denny

 

 

De: [hidden email] [mailto:[hidden email]] Em nome de Yves (Yingmin) YANG
Enviada em: terça-feira, 19 de abril de 2011 18:28
Para: 'Discussions people developing code for the Visual Editor project'; 'Tools PMC mailing list'
Assunto: Re: [ve-dev] RES: [tools-pmc] FW: Error installingVE-Update-1.5.0.zip

 

I agree with you in case you are the final user. But if you are a solution provider and you have extended VE your business requirement, it is another story.

 

Regards

yves

From: [hidden email] [mailto:[hidden email]] On Behalf Of Denny Vriesman
Sent: Tuesday, April 19, 2011 11:05 PM
To: Discussions people developing code for the Visual Editor project; Tools PMC mailing list
Subject: [ve-dev] RES: [tools-pmc] FW: Error installing VE-Update-1.5.0.zip

 

 

Hi,

 

I’ve evaluated WindowBuilder this afternoon (here in Brazil).

It’s a great solution and it’s a very nice substitution to VE.

 

I think that the companies that have already used VE will not have any problem to migrate to WindowBuilder.

 

Att,

Denny Richard San Vriesman
Analista de Suporte

Softplan Planejamento de Sistemas Ltda
Sistema da Qualidade Certificado ISO 9001:2000
Fone: (48) 3027-8000
http://www.softplan.com.br

 

 

 

 

De: [hidden email] [mailto:[hidden email]] Em nome de Mike Milinkovich
Enviada em: terça-feira, 19 de abril de 2011 16:18
Para: 'Tools PMC mailing list'
Cc: 'Discussions people developing code for the Visual Editor project'
Assunto: Re: [ve-dev] [tools-pmc] FW: Error installing VE-Update-1.5.0.zip

 

Yves,

 

But there are no commits or activity on the VE project. The fact that there are adopters does not mean that this is a viable project.

 

So unless these companies step up and actually put some resources into keeping the project actively running, my conclusion remains that the time has come for archival.

 

Mike Milinkovich

Office: +1.613.224.9461 x228

Mobile: +1.613.220.3223

[hidden email]

 

From: Content-filter at foundation.eclipse.org [mailto:[hidden email]] On Behalf Of Yves (Yingmin) YANG
Sent: April-19-11 3:16 PM
To: [hidden email]
Subject: Re: [tools-pmc] [ve-dev] FW: Error installing VE-Update-1.5.0.zip

 

Hi All,

 

From my standpoint, I know several important companies who built their UI tools on top of VE. They ask me to keep it up-to-date to eclipse main stream. For the end-users, it is easy to switch one to another. But it is not the case for the companies who build their solutions, it is not so easy to make this migration. I think it’d better to keep it in maintenance for a while.  I can continue to handle this work.   

 

FYI, I just tested the build. It works as expected.

Best regards

Yves

----- Forwarded by David M Williams/Raleigh/IBM on 04/19/2011 01:26 PM -----

From: "Mike Milinkovich" <[hidden email]>
To: "'Tools PMC mailing list'" <[hidden email]>
Cc: [hidden email]
Date: 04/19/2011 09:52 AM
Subject: Re: [ve-dev] [tools-pmc] FW: Error installing VE-Update-1.5.0.zip
Sent by: [hidden email]






Adding ve-dev to the list in case anyone there wants to express an opinion.



From: Content-filter at foundation.eclipse.org [[hidden email]] On Behalf Of Jeff McAffer
Sent:
April-19-11 9:44 AM
To:
Tools PMC mailing list
Cc:
[hidden email]
Subject:
Re: [tools-pmc] FW: [ve-dev] Error installing VE-Update-1.5.0.zip


+1



On 2011-04-19, at 9:38 AM, Schaefer, Doug wrote:


Yes, John and I talked about that at EclipseCon. I think we’re ready. Let’s start the vote.

+1.

From: [hidden email] [[hidden email]] On Behalf OfMike Milinkovich
Sent:
Tuesday, April 19, 2011 9:37 AM
To:
'Tools PMC mailing list'
Subject:
[tools-pmc] FW: [ve-dev] Error installing VE-Update-1.5.0.zip


Esteemed Tools PMC,

Can we please please pretty please archive this project?

Especially now with WindowBuilder in full development, I see no reason to avoid end-of-lifing VE.


From: [hidden email] [[hidden email]] On Behalf Of Denny Vriesman
Sent:
April-19-11 9:32 AM
To:
[hidden email]
Subject:
[ve-dev] Error installing VE-Update-1.5.0.zip


Hello EveryOne,

I’ve Just downloaded “eclipse-rcp-helios-SR2-win32.zip” from eclipse website.
After that I’ve downloaded VE-Update-1.5.0.zip for Helios, in agreement with the site: “http://www.eclipse.org/vep/”, and I try to install it.

But, for my surprise, there is an error on the installation:

The artifact file for osgi.bundle,org.eclipse.ve.cde,1.5.0.R20101202-1328 was not found.
session context was:(profile=epp.package.rcp, phase=org.eclipse.equinox.internal.p2.engine.phases.Install, operand=null --> [R]org.eclipse.ve.cde 1.5.0.R20101202-1328, action=org.eclipse.equinox.internal.p2.touchpoint.eclipse.actions.InstallBundleAction).

Please, have somebody the solution for this problem ? Is a VE a discontinuous or deprecated project ? Have anyone noted that problem until now ?

Thank you in Advance,
Denny Richard San Vriesman
Analista de Suporte

Softplan Planejamento de Sistemas Ltda
Sistema da Qualidade Certificado ISO 9001:2000
Fone: (48) 3027-8000

http://www.softplan.com.br

_______________________________________________
tools-pmc mailing list
[hidden email]
https://dev.eclipse.org/mailman/listinfo/tools-pmc
_______________________________________________
ve-dev mailing list
[hidden email]
https://dev.eclipse.org/mailman/listinfo/ve-dev


_______________________________________________
ve-dev mailing list
[hidden email]
https://dev.eclipse.org/mailman/listinfo/ve-dev
Reply | Threaded
Open this post in threaded view
|

Re: RES: RES: [tools-pmc] FW: Error installingVE-Update-1.5.0.zip

David M Williams

>> I think there are no sense to eclipse.org maintain 2 similar
>> projects. This kind of thing confused the java community.


This is a typical view, not to have 2 similar projects, but in practice,
in general, there is no way to avoid it. There are (other) cases of
similar projects in Eclipse and the general policy is to "let the community decide"
(including committers and adopters). I'm not commenting on this particular case,
just describing the general policy and high level point of view.

>> Maybe, a possible solution is to generate a last build of VE to
>> Eclipse Helios, or even 3.7 and update the site to inform the users
>> that VE will be discontinued and it will be the last version in reason of WB.


> I agree. The build for Eclipse Helios is ready. I propose to make
> the last build for 3.7.


Yves, what do you mean by this, exactly? Do you mean you want to keep
the project active until after Indigo release in June? And then archive it?
Or, something earlier, based on the assumption that once you get
"a build for 3.7" you won't need another? (Along with the fact that VE is
not a formal part of Indigo).

I'm asking since it sounds like we (you and Tools PMC) could start naming some dates
and starting a termination process ... even if, as part of that process, "do a final 3.7 build"
was one of the steps. Though, if the termination review concludes with archiving,
all downloads are also archived, I believe, so would be of use for only a short period of time.

A formal termination review is important since, occasionally, that will cause an
an adopter to come forward and say "no, wait, we need this, we'll commit resources".
Usually not .. but, sometimes.

So, I was just hoping for some more detail and clarification on what you'd like to propose.

Thanks,





Inactive hide details for "Yves \(Yingmin\) YANG" ---04/20/2011 08:48:38 AM--->Maybe, a possible solution is to generate a last"Yves \(Yingmin\) YANG" ---04/20/2011 08:48:38 AM--->Maybe, a possible solution is to generate a last build of VE to Eclipse Helios, or even 3.7 and upd

From: "Yves \(Yingmin\) YANG" <[hidden email]>
To: "'Discussions people developing code for the Visual Editor project'" <[hidden email]>
Date: 04/20/2011 08:48 AM
Subject: Re: [ve-dev] RES: RES: [tools-pmc] FW: Error installingVE-Update-1.5.0.zip
Sent by: [hidden email]





>Maybe, a possible solution is to generate a last build of VE to Eclipse Helios, or even 3.7 and update the site to inform the users that VE will be discontinued and it will be the last version in reason of WB.

I agree. The build for Eclipse Helios is ready. I propose to make the last build for 3.7.

yves
From: [hidden email] [[hidden email]] On Behalf Of Denny Vriesman
Sent:
Wednesday, April 20, 2011 2:43 PM
To:
Discussions people developing code for the Visual Editor project
Subject:
[ve-dev] RES: RES: [tools-pmc] FW: Error installingVE-Update-1.5.0.zip


If a solution provider company has extended VE, so I think this company has capability to continue improve VE for your own solution.
The currently VE is open source, is right? So, this company can every time put his hands on this code and improve it for itself and specifics project.

I think there are no sense to eclipse.org maintain 2 similar projects. This kind of thing confused the java community.

Maybe, a possible solution is to generate a last build of VE to Eclipse Helios, or even 3.7 and update the site to inform the users that VE will be discontinued and it will be the last version in reason of WB.

Regards,
Denny


De: [hidden email] [[hidden email]] Em nome de Yves (Yingmin) YANG
Enviada em:
terça-feira, 19 de abril de 2011 18:28
Para:
'Discussions people developing code for the Visual Editor project'; 'Tools PMC mailing list'
Assunto:
Re: [ve-dev] RES: [tools-pmc] FW: Error installingVE-Update-1.5.0.zip

I agree with you in case you are the final user. But if you are a solution provider and you have extended VE your business requirement, it is another story.

Regards
yves
From: [hidden email] [[hidden email]] On Behalf Of Denny Vriesman
Sent:
Tuesday, April 19, 2011 11:05 PM
To:
Discussions people developing code for the Visual Editor project; Tools PMC mailing list
Subject:
[ve-dev] RES: [tools-pmc] FW: Error installing VE-Update-1.5.0.zip


Hi,

I’ve evaluated WindowBuilder this afternoon (here in Brazil).
It’s a great solution and it’s a very nice substitution to VE.

I think that the companies that have already used VE will not have any problem to migrate to WindowBuilder.

Att,
Denny Richard San Vriesman
Analista de Suporte

Softplan Planejamento de Sistemas Ltda
Sistema da Qualidade Certificado ISO 9001:2000
Fone: (48) 3027-8000

http://www.softplan.com.br




De: [hidden email] [[hidden email]] Em nome de Mike Milinkovich
Enviada em:
terça-feira, 19 de abril de 2011 16:18
Para:
'Tools PMC mailing list'
Cc:
'Discussions people developing code for the Visual Editor project'
Assunto:
Re: [ve-dev] [tools-pmc] FW: Error installing VE-Update-1.5.0.zip

Yves,

But there are no commits or activity on the VE project. The fact that there are adopters does not mean that this is a viable project.

So unless these companies step up and actually put some resources into keeping the project actively running, my conclusion remains that the time has come for archival.

Mike Milinkovich
Office: +1.613.224.9461 x228
Mobile: +1.613.220.3223
[hidden email]

From: Content-filter at foundation.eclipse.org [[hidden email]] On Behalf Of Yves (Yingmin) YANG
Sent:
April-19-11 3:16 PM
To:
[hidden email]
Subject:
Re: [tools-pmc] [ve-dev] FW: Error installing VE-Update-1.5.0.zip

Hi All,

From my standpoint, I know several important companies who built their UI tools on top of VE. They ask me to keep it up-to-date to eclipse main stream. For the end-users, it is easy to switch one to another. But it is not the case for the companies who build their solutions, it is not so easy to make this migration. I think it’d better to keep it in maintenance for a while. I can continue to handle this work.

FYI, I just tested the build. It works as expected.

Best regards

Yves

----- Forwarded by David M Williams/Raleigh/IBM on 04/19/2011 01:26 PM -----

From:
"Mike Milinkovich" <[hidden email]>
To:
"'Tools PMC mailing list'" <[hidden email]>
Cc:
[hidden email]
Date:
04/19/2011 09:52 AM
Subject:
Re: [ve-dev] [tools-pmc] FW: Error installing VE-Update-1.5.0.zip
Sent by:
[hidden email]







Adding ve-dev to the list in case anyone there wants to express an opinion.




From:
Content-filter at foundation.eclipse.org [[hidden email]] On Behalf Of Jeff McAffer
Sent:
April-19-11 9:44 AM
To:
Tools PMC mailing list
Cc:
[hidden email]
Subject:
Re: [tools-pmc] FW: [ve-dev] Error installing VE-Update-1.5.0.zip

+1




On 2011-04-19, at 9:38 AM, Schaefer, Doug wrote:


Yes, John and I talked about that at EclipseCon. I think we’re ready. Let’s start the vote.


+1.


From:
[hidden email] [[hidden email]] On Behalf OfMike Milinkovich
Sent:
Tuesday, April 19, 2011 9:37 AM
To:
'Tools PMC mailing list'
Subject:
[tools-pmc] FW: [ve-dev] Error installing VE-Update-1.5.0.zip

Esteemed Tools PMC,


Can we please please pretty please archive this project?


Especially now with WindowBuilder in full development, I see no reason to avoid end-of-lifing VE.



From:
[hidden email] [[hidden email]] On Behalf Of Denny Vriesman
Sent:
April-19-11 9:32 AM
To:
[hidden email]
Subject:
[ve-dev] Error installing VE-Update-1.5.0.zip


Hello EveryOne,


I’ve Just downloaded “eclipse-rcp-helios-SR2-win32.zip” from eclipse website.
After that I’ve downloaded VE-Update-1.5.0.zip for Helios, in agreement with the site: “
http://www.eclipse.org/vep/”, and I try to install it.

But, for my surprise, there is an error on the installation:


The artifact file for osgi.bundle,org.eclipse.ve.cde,1.5.0.R20101202-1328 was not found.
session context was:(profile=epp.package.rcp, phase=org.eclipse.equinox.internal.p2.engine.phases.Install, operand=null --> [R]org.eclipse.ve.cde 1.5.0.R20101202-1328, action=org.eclipse.equinox.internal.p2.touchpoint.eclipse.actions.InstallBundleAction).


Please, have somebody the solution for this problem ? Is a VE a discontinuous or deprecated project ? Have anyone noted that problem until now ?


Thank you in Advance,

Denny Richard San Vriesman
Analista de Suporte
Softplan Planejamento de Sistemas Ltda
Sistema da Qualidade Certificado ISO 9001:2000
Fone: (48) 3027-8000

http://www.softplan.com.br

_______________________________________________
tools-pmc mailing list

[hidden email]
https://dev.eclipse.org/mailman/listinfo/tools-pmc
_______________________________________________
ve-dev mailing list
[hidden email]

https://dev.eclipse.org/mailman/listinfo/ve-dev_______________________________________________
ve-dev mailing list
[hidden email]
https://dev.eclipse.org/mailman/listinfo/ve-dev


_______________________________________________
ve-dev mailing list
[hidden email]
https://dev.eclipse.org/mailman/listinfo/ve-dev